<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: RTL Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classamc__gtx5Gpd__common__reset.html">amc_gtx5Gpd_common_reset</a></li><li class="navelem"><a class="el" href="classamc__gtx5Gpd__common__reset_1_1RTL.html">RTL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">RTL Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classamc__gtx5Gpd__common__reset_1_1RTL-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a2e85c7375502da991f1b4ed954892fef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e85c7375502da991f1b4ed954892fef"></a>
<a class="el" href="classamc__gtx5Gpd__common__reset_1_1RTL.html#a2e85c7375502da991f1b4ed954892fef">PROCESS_262</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3a150f55a9e5546dfcb81d40c2feaeb6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a150f55a9e5546dfcb81d40c2feaeb6"></a>
<a class="el" href="classamc__gtx5Gpd__common__reset_1_1RTL.html#a3a150f55a9e5546dfcb81d40c2feaeb6">PROCESS_263</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:adbcbaff5f2f769e437c1ae03cc53c10d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adbcbaff5f2f769e437c1ae03cc53c10d"></a>
<a class="el" href="classamc__gtx5Gpd__common__reset_1_1RTL.html#adbcbaff5f2f769e437c1ae03cc53c10d">STARTUP_DELAY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">500</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9503b26b0b4d99bef252871890ed8a8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9503b26b0b4d99bef252871890ed8a8f"></a>
<a class="el" href="classamc__gtx5Gpd__common__reset_1_1RTL.html#a9503b26b0b4d99bef252871890ed8a8f">WAIT_CYCLES</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">STARTUP_DELAY</span><span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="vhdlchar">STABLE_CLOCK_PERIOD</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1ebbb442969eb65f5cff298a081020c8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ebbb442969eb65f5cff298a081020c8"></a>
<a class="el" href="classamc__gtx5Gpd__common__reset_1_1RTL.html#a1ebbb442969eb65f5cff298a081020c8">WAIT_MAX</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">WAIT_CYCLES</span><span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span> <span class="vhdldigit">10</span> <span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:abc6b45f9e3c94ad9d374bbd412d97983"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc6b45f9e3c94ad9d374bbd412d97983"></a>
<b><a class="el" href="classamc__gtx5Gpd__common__reset_1_1RTL.html#abc6b45f9e3c94ad9d374bbd412d97983">rst_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">INIT</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ASSERT_COMMON_RESET</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:ab3dff749807b42fd9a8a736e59490069"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3dff749807b42fd9a8a736e59490069"></a>
<a class="el" href="classamc__gtx5Gpd__common__reset_1_1RTL.html#ab3dff749807b42fd9a8a736e59490069">init_wait_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a86fac81b99a4a170e480e26a7f40e0c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a86fac81b99a4a170e480e26a7f40e0c4"></a>
<a class="el" href="classamc__gtx5Gpd__common__reset_1_1RTL.html#a86fac81b99a4a170e480e26a7f40e0c4">init_wait_done</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa4fe2b977cec7593e0fd9da6a49886e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa4fe2b977cec7593e0fd9da6a49886e0"></a>
<a class="el" href="classamc__gtx5Gpd__common__reset_1_1RTL.html#aa4fe2b977cec7593e0fd9da6a49886e0">common_reset_asserted</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa166b1a48473e7a457af1e5fbc2299c1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa166b1a48473e7a457af1e5fbc2299c1"></a>
<a class="el" href="classamc__gtx5Gpd__common__reset_1_1RTL.html#aa166b1a48473e7a457af1e5fbc2299c1">common_reset_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a566009132461df68dd45166ac7fe7802"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a566009132461df68dd45166ac7fe7802"></a>
<a class="el" href="classamc__gtx5Gpd__common__reset_1_1RTL.html#a566009132461df68dd45166ac7fe7802">state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">rst_type</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">INIT</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="amc__gtx5gpd__common__reset_8vhd_source.html#l00091">91</a> of file <a class="el" href="amc__gtx5gpd__common__reset_8vhd_source.html">amc_gtx5gpd_common_reset.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/AMC_if/amc_gtx5Gpd/<a class="el" href="amc__gtx5gpd__common__reset_8vhd_source.html">amc_gtx5gpd_common_reset.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:42 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
